Bug 1025368 - Review Request: python-jira - A library to ease use of the JIRA 5 REST APIs.
Review Request: python-jira - A library to ease use of the JIRA 5 REST APIs.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 1025367
Blocks: 1025369
  Show dependency treegraph
 
Reported: 2013-10-31 10:44 EDT by Ralph Bean
Modified: 2014-01-22 21:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 21:44:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-10-31 10:44:14 EDT
Spec URL: http://ralph.fedorapeople.org//python-jira.spec
SRPM URL: http://ralph.fedorapeople.org//python-jira-0.13-1.fc19.src.rpm

Description:
A library to ease use of the JIRA 5 REST APIs.
Comment 1 Mario Blättermann 2013-11-01 05:19:24 EDT
Python macros have changed recently:
%{__python} > %{__python2}
See https://fedoraproject.org/wiki/Packaging:Python#Macros.

Even %{python2_sitelib} instead of %{python_sitelib} is available (not for EPEL), although not mentioned in the guidelines.
Comment 3 Mario Blättermann 2013-11-01 16:46:21 EDT
Scratch build fails for now, I'll continue here once python-requests-oauthlib is available at least for Rawhide.
Comment 4 Mario Blättermann 2013-11-02 06:59:41 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6126073

$ rpmlint -i -v *
python-jira.src: I: checking
python-jira.src: W: summary-ended-with-dot C A library to ease use of the JIRA 5 REST APIs.
Summary ends with a dot.

python-jira.src: I: checking-url http://pypi.python.org/pypi/jira-python (timeout 10 seconds)
python-jira.src: I: checking-url http://pypi.python.org/packages/source/j/jira-python/jira-python-0.13.tar.gz (timeout 10 seconds)
python-jira.noarch: I: checking
python-jira.noarch: E: explicit-lib-dependency python-requests-oauthlib
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

python-jira.noarch: W: summary-ended-with-dot C A library to ease use of the JIRA 5 REST APIs.
Summary ends with a dot.

python-jira.noarch: I: checking-url http://pypi.python.org/pypi/jira-python (timeout 10 seconds)
python-jira.noarch: W: no-manual-page-for-binary jirashell
Each executable in standard binary directories should have a man page.

python-jira.spec: I: checking-url http://pypi.python.org/packages/source/j/jira-python/jira-python-0.13.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 3 warnings.


python-requests-oauthlib is named as a library, but no library in common sense.

A missing manpage is not up to you to fix. Contact the developer if it makes sense to have a manpage, moreover if he could add a license file in future releases.

The summary shouldn't end with a period. Please remove it, but this is rather a post-review task.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    995cdace8cac68fd3189e0c19ae7fe283cbbcbf6a3442cba15f2da9fc303014d  jira-python-0.13.tar.gz
    995cdace8cac68fd3189e0c19ae7fe283cbbcbf6a3442cba15f2da9fc303014d  jira-python-0.13.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
    See my comments above.

[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 5 Ralph Bean 2013-11-02 12:44:00 EDT
New Package SCM Request
=======================
Package Name: python-jira
Short Description: A library to ease use of the JIRA 5 REST APIs.
Owners: ralph
Branches: f20 f19 f18
InitialCC:
Comment 6 Gwyn Ciesla 2013-11-04 08:00:35 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-11-04 11:06:22 EST
python-jira-0.13-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-jira-0.13-2.fc20
Comment 8 Fedora Update System 2013-11-04 11:06:45 EST
python-jira-0.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-jira-0.13-2.fc19
Comment 9 Fedora Update System 2013-11-04 11:07:01 EST
python-jira-0.13-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-jira-0.13-2.fc18
Comment 10 Mario Blättermann 2013-11-19 14:21:39 EST
Packages for all requested branches are in the testing repos, so this ticket is ON_QA.
Comment 11 Dan Callaghan 2013-11-21 19:53:34 EST
python-jira-0.13-2.fc18 gives the following traceback when I try to use it:

Traceback (most recent call last):
  File "Misc/checkbugs.py", line 557, in <module>
    main()
  File "Misc/checkbugs.py", line 293, in main
    jira = JiraInfo("checkbugs", retrieve_info=False)
  File "/home/dcallagh/work/beaker/Misc/jirainfo.py", line 113, in __init__
    self._jira = JIRA(options, basic_auth=(username, getpasscb()))
  File "/usr/lib/python2.7/site-packages/jira/client.py", line 104, in __init__
    self._try_magic()
  File "/usr/lib/python2.7/site-packages/jira/client.py", line 1437, in _try_magic
    self._magic = magic.Magic(mime=True)
TypeError: __init__() got an unexpected keyword argument 'mime'

It's because jira-python is expecting a different magic module (I guess https://github.com/ahupp/python-magic) than the one shipped in Fedora.

https://bitbucket.org/bspeakmon/jira-python/issue/33/error-with-magic-module

I'd suggest just patching out the MIME type detection in jira-python because the libmagic bindings do not provide any nice way to get a MIME type.
Comment 12 Ralph Bean 2013-11-22 11:26:00 EST
Thanks for reporting, Dan.  I'm patching it out as you suggest in python-jira-0.13-3.
Comment 13 Fedora Update System 2013-11-22 12:06:18 EST
python-jira-0.13-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-jira-0.13-3.fc19
Comment 14 Fedora Update System 2013-11-22 12:06:40 EST
python-jira-0.13-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-jira-0.13-3.fc18
Comment 15 Fedora Update System 2013-11-22 12:25:14 EST
python-jira-0.13-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-jira-0.13-3.fc20
Comment 16 Fedora Update System 2013-12-10 01:09:35 EST
python-jira-0.13-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-10 01:17:40 EST
python-jira-0.13-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-17 14:10:16 EST
python-jira-0.13-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.